{% extends 'base.html.twig' %}

{% block body %}
    <div id="detailPage" class="col_lg-6 col-lg-offset-6">
        <h1>Nuevo libro</h1>
        <div id="content">
            <form method="post" action="/add/verify">
                <div class="col_lg-12"><div class="col_lg-3"><h4>Título:</h4></div><div class="col_lg-3"><input required type="text" name="title" {% if newBook is not null %}value="{{newBook.title}}"{% endif %}></div></div>
                <div class="col_lg-12"><div class="col_lg-3"><h4>Autor:</h4></div><div class="col_lg-3"><input required type="text" name="author" {% if newBook is not null %}value="{{newBook.author}}"{% endif %}></div></div>
                <div class="col_lg-12"><div class="col_lg-3"><h4>Año:</h4></div><div class="col_lg-3"><input required type="number" name="year" {% if newBook is not null %}value="{{newBook.year}}"{% endif %}></div></div>
                <div class="col_lg-12"><div class="col_lg-3"><h4>ISBN:</h4></div><div class="col_lg-3"><input required type="text" name="isbn" {% if error is not null %}class="text-danger"{% endif %} {% if newBook is not null %}value="{{newBook.isbn}}"{% endif %}></div></div>
                <div class="col_lg-12"><div class="col_lg-3"><h4>Edad mínima recomendada:</h4></div><div class="col_lg-3"><input required type="number" name="ageRate" {% if newBookData is not null %}value="{{newBookData.ageRate}}"{% endif %}></div></div>
                <div class="col_lg-12"><div class="col_lg-3"><h4>Número de páginas:</h4></div><div class="col_lg-3"><input required type="number" name="pageCount" {% if newBookData is not null %}value="{{newBookData.pageCount}}"{% endif %}></div></div>
                <input type="submit" id="save" value="Guardar"><input type="button" id="back" value="Volver">
            </form>
        </div>
    </div>
    
    {% if error is not null %}
    <div class="col_lg-6 col-lg-offset-6">
        <h1 class="text-danger">El ISBN ya existe</h1>
    </div>
    {% endif %}
{% endblock %}
{% block javascripts %}
    <script>
        $(document).ready(function(){
           $('#back').on('click',function(){
               location.replace(location.origin);
           });
        });
    </script>
{% endblock%}
{% block stylesheets %}

{% endblock %}
